com.sleepycat.db

## Interface BtreePrefixCalculator

-     public interface BtreePrefixCalculator

  An interface specifying how Btree prefixes should be calculated.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `prefix(Database db, DatabaseEntry dbt1, DatabaseEntry dbt2)` The application-specific Btree prefix callback.

- - ### Method Detail

    - #### prefix

          int prefix(Database db,
                     DatabaseEntry dbt1,
                     DatabaseEntry dbt2)

      The application-specific Btree prefix callback.

      Parameters:
        `db` - The enclosing database handle.
        `dbt1` - A database entry representing a database key.
        `dbt2` - A database entry representing a database key.
      Returns:
        the number of bytes of the second key parameter that would be required by the Btree key comparison function to determine the second key parameter's ordering relationship with respect to the first key parameter

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.